html {
    overflow-x: hidden;
    overflow-Y: hidden;
    height: 100%;
}

body {
    height: 100%;
    background-color: #78C5D6;
    font-family: 'Unica One', cursive;
}

.marginOnRes {
    margin: auto;
}

.row {
    width: 100%;
    top: 0;
    left: 0;
    margin: 0;
}

.form-signin {
    width: 100%;
    max-width: 330px;
    margin: 0 auto;
    padding: 50px 15px;
    color: #78c8d7;
}



.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px;
}

.hh100 {
    height: 100%;
}


.form-signin .form-control:focus {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.form-control:focus {
    border-color: #78C8D7;
    box-shadow: none;
}

.checkbox {
    color: gray;
}

.btn-info {
    background-color: #78C8D7;
    border-color: #78C8D7;
}

.btn-spc {
    width: 50%;
    margin: 20px auto;
}


.vertical-center-top,
.vertical-center-bot {
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
}

.vertical-center-bot {
    margin: auto;
}

.logo {
    margin-left: auto;
    margin-right: auto;
}

.conteudo_conteiner {
    margin-top: auto;
    margin-bottom: auto;
    padding-bottom: 50px;
}

.conteudo {
    max-width: 100%;
    max-height: 100%;
    margin: 0 auto;
    color: grey;
    padding-top: 150px;
    padding-bottom: 150px;
}

.centered-block {
    width: 100px;
    left: 50%;
    -webkit-transform: translate(-50%, 0);
    position: absolute;
}

.h6 {
    color: #78c8d7;
    font-size: 150%;
}

.indexLogo {
    visibility: hidden;
    animation: blink182 2s;
    animation-delay: 0.1s;
    animation-fill-mode: forwards;
}


/* == Tela Start Imagens Conteiner == */
.slidecontainer {
    margin-top: 5px;
    width: 100%;
    height: 25%;
    display: flex;
    align-items: center;
}

/* == Tela Start Imagens == */
.img-start {
    width: 15%;
}

/* == Tela Start Slider == */
.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 50%;
    height: 70%;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    border-radius: 50px;
    margin: 0 auto;
    border: 10px solid #d3d3d3;
}

.checkbox-inv {
    opacity: 0;
    height: 1px;
    margin: 0 auto;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: white;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: #4CAF50;
    cursor: pointer;
}

/* == Lado Esquerdo da Tela == */
.esquerda {
    padding: 0px;
    margin: 0px;
    left: 0px;
    right: 0px;
    height: 100%;
    background-color: #78C5D6;
    height: 100%;
}


/*== AGORA O OUTRO LADO ==*/

/* == Jogo Lado Direito == */

.direita {
    margin: auto;
    padding: 0px;
    text-align: center;
    background: #f5f5f5;
    position: absolute;
    right: 0;
    height: 100%;
    display: flex;
    flex-flow: column;
    width: 100%;
    height: 100%;
    max-height: 980px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    margin-bottom: 20px;
}

/* == Elementos do Lado Direito do Jogo == */
.game-dir-txt-box {
    top: 245px;
    width: 100%;
}

.game-dir-star-desafio {
    color: darkgrey;
    position: absolute;
    top: 270px;
    right: 3px;
    animation: blink 2s infinite;
}

.game-dir-txt {
    color: black;
    margin-top: 20px;
    animation: turndownforwhat 1s;

}

.altura_max {
    height: 100%;
}

.h100res {
    height: 100%;
}

.contentRightScroll {
    max-height: 100%;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    margin-bottom: 20px;
}

/* == Animações == */
@keyframes shake {

    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        transform: translate3d(1px, 0, 0);
    }

    30%,
    50%,
    70% {
        transform: translate3d(-1px, 0, 0);
    }

    40%,
    60% {
        transform: translate3d(1px, 0, 0);
    }
}

@keyframes turndownforwhat {
    0% {
        margin-top: 0px;
        opacity: 0;
    }

    100% {
        margin-top: 20px;
        opacity: 1;
    }
}

@keyframes turndownforwhat2 {
    0% {
        padding-top: 0px;
    }

    100% {
        padding-top: 24px;
    }
}

@keyframes blink {

    0%,
    100% {
        opacity: 0
    }

    50% {
        opacity: 1
    }
}

@keyframes blink182 {


    0%,
    100% {
        opacity: 0
    }

    100% {
        visibility: visible;
        opacity: 1
    }
}


@keyframes leftToRight {
    0% {
        left: 100%;
    }

    100% {
        left: 0%;
    }
}

@keyframes rightToLeft {
    0% {
        left: 0%;
    }

    100% {
        left: 100%;
    }
}

.callContent {
    padding-top: 0%;
    margin-left: 5%;
    margin-right: 5%;
}
.direita{
    overflow-y: hidden;
}
/* == Responsividade == */

@media(max-width: 768px) {

    .game-dir-conteudo {
        height: 100%;
        max-width: 800px;
        margin: 0 auto;
        padding: 50px 15%;
        color: grey;
    }

    .esquerda {
        position: relative;
        left: 0;
        z-index: 150;
    }

    .logo {
        height: 200px;
    }

    .direita {
        overflow-y: auto;
        position: relative;
        margin: 0;
        min-height: 100%;
        z-index: 100;
    }

    .conteudo_conteiner {
        padding-top: 0px;
        padding-bottom: 60px;
    }

    .conteudo {
        top: -60px;
        position: relative;
        margin: 0;
        min-height: 100%;
    }

    .game-dir-conteudo {
        padding-top: 0px;
        position: relative;
        margin: 0;
    }

    .img-start {
        width: 25%;
        max-width: 20%;
    }

    .adjustPosition {
        /* position: absolute;*/
    }

    .h100res {
        height: auto;
    }

    .contentRightScroll {
        min-height: calc(100% + 300px);
        overflow-y: auto;
        -ms-overflow-style: -ms-autohiding-scrollbar;
    }

    .marginOnRes {
        margin: 50px auto;
    }

    .callContent {
        padding-top: 20%;
        margin-left: auto;
        margin-right: auto;
    }

}
